Gnash 0.8.8 for Flash in Linux
Posted by: Fred
Date: September 18, 2010 01:23PM

As Flash 10 has a critical, unfixed bug,
Gnash 0.8.8 can replace it in Linux for YouTube
and Googlevideo, while most other Flash
sites and news streaming in Flash do not work yet,
because their providers only accept Adobe Flash
for the moment.
Gnash 0.8.8 and "browser-gnash-plugin" for Mozilla
are already in the Debian sid repository.
For Ubuntu Lucid it is not yet available, but
the Debian sid main repository could be added.
The file libgnutls.so.13 would have to be
added manually from the Hardy repository, because
it is not in Lucid anymore. A downloaded
deb for it could be extracted with

dpkg-deb --extract file.deb /PathtoTemporaryDir

and the extracted lib file renamed to simple
libgnutls.so.13 before copying it to /usr/lib/ .
The file "libgnashplugin.so" would have to be copied
from /usr/lib/gnash to $HOME/.mozilla/plugins/
and "libflashplayer.so" moved temporarily to
another place, because else Adobe Flash would
always be preferred by the browser.
Check if the user rights for $HOME are still
the correct ones, if not, correct that.
The start of the first flash movie could
take a while, but then it should work correctly.
I have not yet tried this with other distros,
but basically it should be possible too for them
in a similar way, to test Gnash, which can be
an alternative for Linux browsers from now on,
as soon as all flash providers will accept that.
You should only try to test it, if you are
experienced and you know what you're doing,
in order not to ruin your system, or else test it
with a live cd.

Fred

K-Meleon forum is powered by Phorum.